bugGNU Wget - Bugs: bug #31580, Adjustable deep prerequisite...

 
 

bug #31580: Adjustable deep prerequisite fetching for -p?

Submitted by:  Micah Cowan <micahcowan>
Submitted on:  Sun 07 Nov 2010 10:44:59 PM UTC  
 
Category: Program LogicSeverity: 2 - Minor
Priority: 5 - NormalStatus: Needs Discussion
Privacy: PublicAssigned to: None
Originator Name: Open/Closed: Open
Release: 1.12Operating System: None
Reproducibility: Every TimeFixed Release: None
Planned Release: NoneRegression: No
Work Required: 1 - DaysPatch Included: No

Add a New Comment (Rich MarkupRich Markup):
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Sun 07 Nov 2010 10:44:59 PM UTC, original submission:

If you view the page you get from running:

wget -x -p -k wget.addictivecode.org

You'll notice that while most of the prerequisites are properly fetched, there's still a few inline images (the ones used by the wiki to indicate external links and the like) that are not fetched.

These images are specified by a deeper CSS link, specifically:

Wget currently will only follow prerequisites up to a depth of two. Obviously for this case it wasn't sufficient. It might not be appropriate to follow prereqs up to infinite depth; then again, maybe it would be. It should probably be configurable.

Micah Cowan <micahcowan>
Project Administrator

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach File(s):
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by micahcowan (Submitted the item)
  •  

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    No Changes Have Been Made to This Item

    Back to the top


    Powered by Savane 3.1-cleanup